Creates Fixed Price Group
Sample request:
POST /pricegroups/fixed
{
"name": "Fixed price group 1"
}
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Fixed Price Group
EmptyExample
Response
application/json
Response
Fixed Price Group created
FixedPriceGroup
Identifier
Name
Date of last modification of Fixed Price Group
Headers
Body
Updates specific Fixed Price Group by id
Sample request:
PUT /pricegroups/fixed/1
{
"name": "Renamed fixed price group"
}
Path Parameters
Fixed Price Group id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Fixed Price Group model
EmptyExample
Response
application/json
Response
Fixed Price Group was updated
FixedPriceGroup
Identifier
Name
Date of last modification of Fixed Price Group
Path Parameters
Headers
Body
Deletes specific Fixed Price Group by id
Deletes specific Fixed Price Group by id
Path Parameters
Fixed Price Group id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
Response
Fixed Price Group was deleted
Path Parameters
Headers
productattributes
Gets all Product Attribute Values, existing in the system for provided Product Attribute
Gets all Product Attribute Values, existing in the system for provided Product Attribute
Query Parameters
Modified since
>= 1<= 100000
>= 1<= 2147483647
Path Parameters
Product Attribute id
Example:2
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Paging Response with Product Attributes data
AttributeValue.PagingResponse
Product attribute value model